Remove Patients from Cohort
curl --request DELETE \
--url https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"patientIds": [
"<string>"
],
"allPatients": true
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient"
payload = {
"patientIds": ["<string>"],
"allPatients": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({patientIds: ['<string>'], allPatients: true})
};
fetch('https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'patientIds' => [
'<string>'
],
'allPatients' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient"
payload := strings.NewReader("{\n \"patientIds\": [\n \"<string>\"\n ],\n \"allPatients\": true\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"patientIds\": [\n \"<string>\"\n ],\n \"allPatients\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patientIds\": [\n \"<string>\"\n ],\n \"allPatients\": true\n}"
response = http.request(request)
puts response.read_bodyimport { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
// Remove specific patients from cohort
const result = await metriport.removePatientsFromCohort({
cohortId: "00000000-0000-0000-0000-000000000000",
patientIds: [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222",
],
});
// Remove all patients from cohort
const resultAll = await metriport.removePatientsFromCohort({
cohortId: "00000000-0000-0000-0000-000000000000",
allPatients: true
});
Cohort
Remove Patients from Cohort
Bulk remove patients from a cohort.
Listen to this pageabout 1 min
DELETE
/
medical
/
v1
/
cohort
/
{id}
/
patient
Remove Patients from Cohort
curl --request DELETE \
--url https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"patientIds": [
"<string>"
],
"allPatients": true
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient"
payload = {
"patientIds": ["<string>"],
"allPatients": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({patientIds: ['<string>'], allPatients: true})
};
fetch('https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'patientIds' => [
'<string>'
],
'allPatients' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient"
payload := strings.NewReader("{\n \"patientIds\": [\n \"<string>\"\n ],\n \"allPatients\": true\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"patientIds\": [\n \"<string>\"\n ],\n \"allPatients\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.metriport.com/medical/v1/cohort/{id}/patient")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patientIds\": [\n \"<string>\"\n ],\n \"allPatients\": true\n}"
response = http.request(request)
puts response.read_bodyimport { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
// Remove specific patients from cohort
const result = await metriport.removePatientsFromCohort({
cohortId: "00000000-0000-0000-0000-000000000000",
patientIds: [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222",
],
});
// Remove all patients from cohort
const resultAll = await metriport.removePatientsFromCohort({
cohortId: "00000000-0000-0000-0000-000000000000",
allPatients: true
});
For more information, see the guide about Cohorts
Path Params
Body
You must provide eitherpatientIds or allPatients, but not both.
Array of patient IDs to remove from the cohort. Mutually exclusive with the
allPatients property.Property to confirm you want to remove all patients in your metriport
instance from the cohort. Mutually exclusive with the
patientIds array.Response
The cohort details.
Show Cohort properties
Show Cohort properties
The unique identifier for the cohort (UUID format, e.g.,
00000000-0000-0000-0000-000000000000).Configuration settings for the cohort.
Show Settings properties
Show Settings properties
Hide monitoring object properties
Hide monitoring object properties
HIE-based document monitoring - subscribes patients to HIE-based
document monitoring (non-ADT) / medical record refresh based on the cadence.
Show hie object properties
Show hie object properties
Enable or disable scheduled data pulls for HIE monitoring. Defaults to disabled.
When disabled, no scheduled pulls will occur regardless of the frequency setting.
How often scheduled data pulls should occur, can be one of
daily, weekly, biweekly or monthly. Defaults to monthly.See scheduled queries
for timing details.
ADT (Admission, Discharge, Transfer) monitoring - subscribes patients to ADT notifications
based on their primary address.
Pharmacy / medication history monitoring - enables retail fill data monitoring where available.
Show pharmacy object properties
Show pharmacy object properties
Enable/disable pharmacy monitoring notifications. Defaults to disabled.
Pharmacy notifications are coming soon! While this feature is not yet live, you can configure
your Pharmacy notification settings now. These settings will automatically take effect when the feature launches.
Enable pharmacy data pulls at scheduled dates.
Show schedule object properties
Show schedule object properties
Enable or disable scheduled data pulls for pharmacy monitoring. When disabled, no
scheduled pulls will occur regardless of the frequency setting. Defaults to disabled.
How often scheduled data pulls should occur, can be one of
weekly, biweekly or monthly. Defaults to monthly.See scheduled queries
for timing details.
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
// Remove specific patients from cohort
const result = await metriport.removePatientsFromCohort({
cohortId: "00000000-0000-0000-0000-000000000000",
patientIds: [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222",
],
});
// Remove all patients from cohort
const resultAll = await metriport.removePatientsFromCohort({
cohortId: "00000000-0000-0000-0000-000000000000",
allPatients: true
});
{
"message": "Patient(s) successfully removed from cohort",
"cohort": {
"id": "00000000-0000-0000-0000-000000000000",
"eTag": "1",
"name": "High Risk",
"description": "Patients that need frequent and robust monitoring.",
"color": "red",
"purposeOfUse": "treatment",
"settings": {
"monitoring": {
"hie": {
"enabled": false,
"frequency": "monthly"
},
"adt": {
"enabled": true
},
"pharmacy": {
"notifications": true,
"schedule": {
"enabled": false,
"frequency": "monthly"
}
},
"laboratory": {
"notifications": true
}
}
},
"size": 250
}
}

